image: 'node:latest'
before_script: 
  - npm install
pages:
  cache:
    paths:
      - node_modules/
  stage: deploy
  script:
    - npm run build
    - mkdir public
    - mv build public
  artifacts:
    paths:
      - public
  only:
    - master